
enum DayOfWeek {
  SUNDAY
  MONDAY
  TUESDAY
  WEDNESDAY
  THURSDAY
  FRIDAY
  SATURDAY
}

enum AvailabilitySlot {
  MORNING
  AFTERNOON
  EVENING
}

enum AvailabilityStatus {
  CONFIRMED_AVAILABLE
  UNKNOWN
  BLOCKED
}

#3 in day, its good?

type StaffAvailability @table(name: "staff_availabilities", key: ["staffId", "day", "slot"]) {
  id: UUID! @default(expr: "uuidV4()")

  staffId: UUID!
  staff: Staff! @ref(fields: "staffId", references: "id")

  day: DayOfWeek!
  slot: AvailabilitySlot!

  status: AvailabilityStatus! @default(expr: "'CONFIRMED_AVAILABLE'")

  notes: String

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}